Name:           python-nb2workflow
Version:        1.3.106
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        convert notebook to workflow

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/volodymyrss/nb2workflow
Source:         %{pypi_source nb2workflow}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nb2workflow' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nb2workflow
Summary:        %{summary}

%description -n python3-nb2workflow %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-nb2workflow cwl,docker,domains,galaxy,k8s,mmoda,rdf,service


%prep
%autosetup -p1 -n nb2workflow-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x cwl,docker,domains,galaxy,k8s,mmoda,rdf,service


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nb2workflow -f %{pyproject_files}


%changelog
%autochangelog